Bug 466793 - installer fails to recognize large SATA drives during installation
installer fails to recognize large SATA drives during installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
10
i386 Linux
high Severity high
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 12:54 EDT by Greg Hosler
Modified: 2009-12-18 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1st 1024 bytes of the disk in question (1.00 KB, application/octet-stream)
2008-10-14 15:07 EDT, Greg Hosler
no flags Details

  None (edit)
Description Greg Hosler 2008-10-13 12:54:45 EDT
Description of problem:

I have a Dell Latitude D620. I replaced the hard drive with a Hitachi HTS54252 250.0 GB drive.

The installer will start up, and then, before disk partitioning, I get a pop up box:

        The partition table on device sda (ATA Hitachi HTS54252 238473 MB)
        was unreadable.

and then some comment about how the partiton table needs to be re-written and all data lost.

However. if I ALT-F2, and run fdisk -l at the command prompt, I see aproximately the following:

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1   *         1        25    200781   83  Linux
/dev/sda2            26       148    987997+  82  Linux swap
/dev/sda3           149       271    987997+  83  Linux
/dev/sda4           272     14593 115041465    5  Extended
/dev/sda5           272       394    987966   83  Linux
/dev/sda6           395      1124   5863693+  83  Linux
/dev/sda7          1125      1247    987966   83  Linux
/dev/sda8          1248      1370    987966   83  Linux
/dev/sda9          1371      2100   5863693+  83  Linux
/dev/sda10         2101      2223    987966   83  Linux
/dev/sda11         2224      2346    987966   83  Linux
/dev/sda12         2347      3076   5863693+  83  Linux
/dev/sda13         3077      3199    987966   83  Linux
/dev/sda14         3200      3808   4891761   83  Linux
/dev/sda15         3809     30401 213608241   83  Linux

The above done on a running Fedora system, but I think it looked pretty much the same under anaconda.

So fdisk can read the partition table, but anaconda cannot...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. From what I understand, this problem only happens with large disks, possibly
   only on laptops. I believe that I was able to install Fedora on my home
   system, and that has a disk bigger than this.

2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Greg Hosler 2008-10-13 13:34:53 EDT
I should hasten to add that adding "libata.ignore_hpa=1" as a boot parameter did not help
Comment 2 Chris Lumens 2008-10-14 13:21:23 EDT
I'm guessing that 'parted /dev/sda p' doesn't show work either.
Comment 3 Joel Andres Granados 2008-10-14 14:04:50 EDT
If you have the first 1024 bytes of that disk, I would like to see it.  that will let me perform some test.
Comment 4 Greg Hosler 2008-10-14 15:05:10 EDT
[root@localhost ~]# parted /dev/sda p
Error: Can't have overlapping partitions.                                 
Information: Don't forget to update /etc/fstab, if necessary.
Comment 5 Greg Hosler 2008-10-14 15:07:55 EDT
Created attachment 320344 [details]
1st 1024 bytes of the disk in question

[root@localhost ~]# dd if=/dev/sda of=disk.out bs=1k count=1
1+0 records in
1+0 records out
1024 bytes (1.0 kB) copied, 0.0175793 s, 58.3 kB/s
Comment 6 Bug Zapper 2008-11-25 22:49:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Greg Hosler 2008-12-05 09:59:23 EST
Add'l information...

1) This problem still exists in F-10 GA

2) if I boot the F-10 GA into rescue, I get an error message about "you do not have any Linux partitions", when I get dropped into a shell, and do a "fdisk -l", I see all my partitions. (this essentially re-verifies the initial report).
Comment 8 Joel Andres Granados 2009-01-21 11:30:36 EST
Greg:

Sorry for coming back to this so late.  I have the first 1024 bytes and will test ASAP.  I seem to remember a bug fix in upstream for this.

thx for the bugreport.
Comment 9 Joel Andres Granados 2009-06-12 07:57:30 EDT
Greg:
can you test with http://koji.fedoraproject.org/koji/taskinfo?taskID=1405593.  Install the rpm from that link (whatever arch you are using) and try this command `parted /dev/DEVICE unit s print free`.  This is the package that I think will work for you.
Comment 10 Joel Andres Granados 2009-07-22 08:50:45 EDT
There is a new release of parted in rawhide.  Its very similar to the one mentioned in comment #9.  can you pls test with it (`parted DEVICE print free`) and post your results.
Comment 11 Bug Zapper 2009-11-18 02:46:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:33:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.